<?php
  ///////////////////////////////////////////////////
  //Добавление погодных условий
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  //определяем локаль пришедшего и подставляем нужный язык.
  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage= $TEXT['forecast-title2'];
  $helppage = "";

  // Устанавливаем соединение с базой данных
  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  //Путь к Вашему xml файлу в интернете
  //$xml_file="http://meteoinfo.ru/xml3/export/pay/1/1.xml";

  //Копирование xml-файла к себе на компьютер
  //function http_get($url)
  // {
  //  $buffer = "";

  //  $url_stuff = parse_url($url);
  //  $port = isset($url_stuff['port']) ? $url_stuff['port'] : 80;

  //  $fp = fsockopen($url_stuff['host'], $port);

  //  $query  = 'GET ' . $url_stuff['path'] . " HTTP/1.0\n";
  //  $query .= 'Host: ' . $url_stuff['host'];
  //  $query .= "\n\n";

  //  fwrite($fp, $query);

  //  while ($tmp = fread($fp, 1024))
  //   {
  //     $buffer .= $tmp;
  //   }
  //  preg_match('/Content-Length: ([0-9]+)/', $buffer, $parts);
  //  return substr($buffer, - $parts[1]);
  // }

  // $fp = fopen ("forecast.xml", "w+");
  // fwrite ($fp, http_get($xml_file));
  // fclose ($fp);

   //Парсинг xml-файла

  // Удаляем предыдущие записи
  $query_delete = mysql_query("TRUNCATE TABLE tbl_forecast");

  // Указываем абсолютный путь к файлу
  $xml=domxml_open_file('/var/www/apache2/html/personal/admin/forecast/forecast.xml');

  $root = $xml->document_element();

  $root_child = $root->child_nodes();

  for ($i = 0; $i < sizeof($root_child); $i++)    {
                if($root_child[$i]->node_name()=='town'){

                $name=$root_child[$i]->get_attribute('name');
                $ind=$root_child[$i]->get_attribute('id');
                $country=$root_child[$i]->get_attribute('country');
                $region=$root_child[$i]->get_attribute('region');

                $town_child = $root_child[$i]->child_nodes();

                for ($j = 0; $j < sizeof($town_child); $j++)    {
         if($town_child[$j]->node_name()=='date'){
                 $day=$town_child[$j]->get_attribute('day');

                 $date_child = $town_child[$j]->child_nodes();

                 for ($k = 0; $k < sizeof($date_child); $k++)    {

                 switch ($date_child[$k]->node_name()) {
            case 'tday':
            $tday=$date_child[$k]->get_content();
                 break;
            case 'tnight':
            $tnight=$date_child[$k]->get_content();
              break;
            case 'prec':
            $prec=$date_child[$k]->get_content();
              break;
            case 'prec_prob':
            $prec_prob=$date_child[$k]->get_content();
              break;
            case 'wind_dir':
            $wind_dir=$date_child[$k]->get_content();
              break;
            case 'windspeed':
            $windspeed=$date_child[$k]->get_content();
              break;
            case 'weather_conditions':
            $weather_conditions=$date_child[$k]->get_content();
              break;
            case 'pday':
            $pday=$date_child[$k]->get_content();
              break;
            case 'pnight':
            $pnight=$date_child[$k]->get_content();
              break;
          }
                 }

          // Запись иформации в БД
          $query = "INSERT INTO tbl_forecast (`ind`, `station`, `country`, `region`, `dat`, `tday`, `tnight`, `prec`, `prec_prob`, `wind_dir`, `wind_speed`, `weather_conditions`, `pday`, `pnight`)
                            VALUES  ('$ind', '$name', '$country', '$region', '$day', '$tday', '$tnight', '$prec', '$prec_prob', '$wind_dir', '$windspeed', '$weather_conditions', '$pday', '$pnight')";
             if(mysql_query($query))
                 {
                   echo "<HTML><HEAD>
                   <META HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php'>
                   </HEAD>";
                   }
                    else puterror2($TEXT['error-pars-xml']);

                }
              }
            }
          }

  // Выводим нижнюю часть страницы
  require_once "../util/bottom.php";
?>